#include <stdio.h>

main() /* Zeilen lesen, mit Laengenangabe ausgeben */
{
    char zeile[80];
    int i;

    while((i=getline(zeile,80)) != 0) printf("%2d %s\n",i,zeile);
}

int getline(line, max)   /* eine Zeile lesen, Laenge liefern */
int max;
char *line;
{
    if((fgets(line,max,stdin)) == NULL) return 0;
    return(strlen(line));
}
